### Constructor

# EDataServer Source new_with_uid

since: 3.6

#### Declaration [src]

    ESource*
    e_source_new_with_uid (
      const gchar* uid,
      GMainContext* main_context,
      GError** error
    )

#### Description [src]

Creates a new “scratch” `ESource` with a predetermined unique identifier.

The `ESource::changed` signal will be emitted from `main_context` if given, or else from the thread-default `GMainContext` at the time this function is called.

Available since: 3.6

#### Parameters

`uid`

  Type: `const gchar*`

  A new unique identifier string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`main_context`

  Type: `GMainContext`

  A `GMainContext` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ESource`

A new scratch `ESource`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.